List config change requests for the caller's students
Returns parent-approval config change requests across the caller's org scope for school audit.
OAuth scopes
- https://purl.imsglobal.org/spec/or/v1p2/scope/roster.readonly
- https://purl.imsglobal.org/spec/or/v1p2/scope/roster-core.readonly
Query Parameters
- Type: stringstudent
Sourced Id - Type: stringenumstatusvaluespendingapproveddeclinedexpired
- Type: integerlimitmin:1max:100
Integer numbers.
- Type: integeroffsetmin:0
Integer numbers.
Responses
- application/json
- application/json
- application/json
Request Example for get/rostering/1.0/config-change-requests
curl 'https://platform.dev.timeback.com/rostering/1.0/config-change-requests?status=pending&limit=50&offset=0' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"requests": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"configKey": "string",
"requestedValue": true,
"status": "pending",
"createdAt": "2026-09-28T14:08:16.720Z",
"resolvedAt": null,
"studentSourcedId": "string",
"studentGivenName": null,
"studentFamilyName": null,
"decidedByUserId": null,
"decidedAt": null
}
]
}